## drgeo 0.8.3

=== po/Makefile ===

LINGUAS=fr
INSTALL=/usr/bin/install
LOCALEDIR=/usr/share/locale
DESTDIR=

po:
	for i in $(LINGUAS); do \
		msgfmt -o DrGeo.mo-$$i DrGeo.po-$$i; \
	done;
install:
	for i in $(LINGUAS); do \
		$(INSTALL) --mode=0644 DrGeo.mo-$$i $(DESTDIR)$(LOCALEDIR)/$$i/LC_MESSAGES/DrGeo.mo; \
	done;
