=== src/Makefile ===
OBJ = obj/main.o obj/geoclass.o obj/traite.o obj/complexe.o obj/graphic.o obj/gui.o obj/point.o obj/droite.o obj/demi_droite.o obj/segment.o obj/vecteur.o obj/cercle.o obj/valeur.o obj/angle.o obj/coordonnees.o obj/arc_cercle.o obj/lieu.o obj/tree.o obj/equation.o obj/mode_obj.o
IPATH=-I- -I/usr/include -I. `gtk-config --cflags` 
# `xml-config --cflags`
LPATH=-L/usr/lib `gtk-config --libs` 
#`xml-config --libs`
LIB=
FLAG=-pedantic -ffast-math -g -O2
LINK=
CXX=gcc
INSTALL=/usr/bin/install
DESTDIR=

drgeo : $(OBJ)
	$(CXX)  -o ../drgeo  $(LPATH) $(OBJ) $(LIB)  $(LINK)
obj/main.o : main.cc main.h geoclass.h mode_obj.h var_decl.h traite.h gui.h define.h
	$(CXX) -c $(FLAG) main.cc $(IPATH) -o obj/main.o 
obj/geoclass.o : geoclass.cc complexe.h geoclass.h graphic.h traite.h define.h 
	$(CXX) -c $(FLAG) geoclass.cc $(IPATH) -o obj/geoclass.o
obj/point.o : point.cc point.h
	$(CXX) -c $(FLAG) point.cc $(IPATH) -o obj/point.o
obj/droite.o : droite.cc droite.h
	$(CXX) -c $(FLAG) droite.cc $(IPATH) -o obj/droite.o
obj/demi_droite.o : demi_droite.cc demi_droite.h
	$(CXX) -c $(FLAG) demi_droite.cc $(IPATH) -o obj/demi_droite.o
obj/segment.o : segment.cc segment.h
	$(CXX) -c $(FLAG) segment.cc $(IPATH) -o obj/segment.o
obj/vecteur.o : vecteur.cc vecteur.h
	$(CXX) -c $(FLAG) vecteur.cc $(IPATH) -o obj/vecteur.o
obj/cercle.o : cercle.cc cercle.h
	$(CXX) -c $(FLAG) cercle.cc $(IPATH) -o obj/cercle.o
obj/arc_cercle.o : arc_cercle.cc arc_cercle.h
	$(CXX) -c $(FLAG) arc_cercle.cc $(IPATH) -o obj/arc_cercle.o
obj/lieu.o : lieu.cc lieu.h
	$(CXX) -c $(FLAG) lieu.cc $(IPATH) -o obj/lieu.o
obj/valeur.o : valeur.cc valeur.h
	$(CXX) -c $(FLAG) valeur.cc $(IPATH) -o obj/valeur.o
obj/equation.o : equation.cc equation.h
	$(CXX) -c $(FLAG) equation.cc $(IPATH) -o obj/equation.o
obj/angle.o : angle.cc angle.h
	$(CXX) -c $(FLAG) angle.cc $(IPATH) -o obj/angle.o
obj/coordonnees.o : coordonnees.cc coordonnees.h
	$(CXX) -c $(FLAG) coordonnees.cc $(IPATH) -o obj/coordonnees.o
obj/traite.o : traite.cc geoclass.h gui.h traite.h main.h define.h
	$(CXX) -c $(FLAG) traite.cc $(IPATH) -o obj/traite.o
obj/complexe.o : complexe.cc complexe.h 
	$(CXX) -c $(FLAG) complexe.cc $(IPATH) -o obj/complexe.o
obj/graphic.o : graphic.cc graphic.h 
	$(CXX) -c $(FLAG) graphic.cc $(IPATH) -o obj/graphic.o
obj/gui.o : gui.cc gui.h classbase.h mode_obj.h main.h traite.h define.h
	$(CXX) -c $(FLAG) gui.cc $(IPATH) -o obj/gui.o
obj/tree.o : tree.cc tree.h
	$(CXX) -c $(FLAG) tree.cc $(IPATH) -o obj/tree.o
obj/mode_obj.o : mode_obj.cc mode_obj.h
	$(CXX) -c $(FLAG) mode_obj.cc $(IPATH) -o obj/mode_obj.o
clean:
	-rm -f obj/*.o
	-rm -f ../drgeo
install:
	$(INSTALL) --mode=0755 ../drgeo $(DESTDIR)/usr/bin/drgeo
	$(INSTALL) --mode=0755 ../drgeo.png $(DESTDIR)/usr/share/pixmaps
