## drgeo 1.1.0

=== debian/changelog ===
drgeo (1.1.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove vestigial libguile-ltdl-1 dependency. (Closes: 707903)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 07 Sep 2014 12:58:13 -0500

drgeo (1.1.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - Bump up "Build-Depends: guile-1.8-dev" from 1.6, not fully fixed issue
      since migrate to guile-2.0-dev is not satisfied but once closed it
      (Closes: #707903)

 -- Hideki Yamane <henrich@debian.org>  Fri, 07 Feb 2014 22:55:50 +0900

drgeo (1.1.0-10) unstable; urgency=low

  [ Francisco Manuel Garcia Claramonte ]
  * Rebuilt debian patches with quilt.
  * Applied the patch sent by Jar Aalto. (Closes: #670725).
  * Fixed two minor sintax typos in debian/drgeo.1

  [ Patch provided by Jari Aalto ]
  * Removed deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Updated to Standards-Version to 3.9.3 and debhelper to 9.
  * Added build-arch and build-indep targets; use dh_prep in rules file.
  * Patched 05 rm; move updating config.* files to rules file.
  * Fixed binary-or-shlib-defines-rpath (Lintian); add depends chrpath.
  * Fixed copyright-refers-to-symlink-license (Lintian).
  * Fixed description-synopsis-starts-with-article (Lintian).
  * Fixed desktop-entry-contains-encoding-key (Lintian).
  * Fixed description-synopsis-starts-with-article (Lintian).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 07 May 2012 21:24:45 +0200

drgeo (1.1.0-9) unstable; urgency=low

  * Fixed the ftbfs with gcc-4.5. Applied the Ubuntu patch (based on
    openSuse patch). Thanks to Fabrice Coutadeur (Closes: #564977).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 17 Nov 2010 20:32:20 +0100

drgeo (1.1.0-8) unstable; urgency=low

  * Added libltdl-dev build depends for hurd-i386 architecture.
  * Updated Debian policy to 3.9.1

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 04 Aug 2010 11:27:27 +0200

drgeo (1.1.0-7) unstable; urgency=low

  * Updated Debian policy to 3.9.0
  * Added new dpatch file to make x-www-browser the default html
    viewer, instead dillo.
  * Added debian/source/format file.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 03 Jul 2010 17:02:09 +0200

drgeo (1.1.0-6) unstable; urgency=low

  * Added libltdl-dev build depends for kfreebsd-amd64 and kfreebsd-i386
    architectures (Closes: #570874).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 13 Mar 2010 11:47:41 +0100

drgeo (1.1.0-5) unstable; urgency=low

  * Added debian/README.source file explaining how dpatch works, according to
    Debian Policy.
  * Updated Debian policy to 3.8.4.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 20 Feb 2010 10:48:01 +0100

drgeo (1.1.0-4) unstable; urgency=low

  * Updated Debian policy to 3.8.2
  * Updated Maintainer control field to @debian.org.
  * Added new dpatch file to fix de problem with outdated config.{guess,sub}
    files. Updated with autotools-dev (Closes: #538884).
  * Removed the unsued /usr/X11R6/include/pixmaps in debian/dirs. Cleaned
    up in debian/rules too.
  * Updated GPL reference in debian/copyright to GPL-2.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 01 Aug 2009 13:34:40 +0200

drgeo (1.1.0-3) unstable; urgency=low

  * Fixed debian/rules file:
    - Changed pwd command to $(CURDIR) (Closes: #526728).
    - Changed dh_clean to dh_prep to avoid a lintian warning.
    - Cleaned up unneeded comments.
  * Updated to Debian policy 3.8.1.
  * Added Homepage control field with drgeo web page in gnu
    project web site.
  * Changed the long description control field with new web
    page reference, the old web page was removed.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 09 May 2009 18:41:49 +0200

drgeo (1.1.0-2) unstable; urgency=low

  * New maintainer.
  * Upgraded depends control field from 5 to 7.
  * Upgraded debhelper compatibillity file to 7.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 09 Feb 2009 23:45:39 +0100

drgeo (1.1.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed the debian/patches/*.dpatch license, from GPL3 to GPL2, or
    any later version.
  * Changed the debian/copyright license field according to the Drgeo
    license, GPL2 or any other later version.
  * Closed the bug #506617, It was fixed in the previous NMU. 
    (Closes: #506617)
  * CLosed the bug #384744, it was fixed in and old previous release.
    (Closes: #384744)

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed, 26 Nov 2008 23:53:39 +0100

drgeo (1.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed the drgo.desktop file, added the debian/drgeo_32x32.xpm file.
    Added a dpatch file. This icon has been generated from glade/drgeo.png.
    (Closes: #466996).
  * Fixed the problem with debian/watch file. Thanks to Raphael Geissert
    <atomo64@gmail.com> for the patch (Closes: #449758).
  * Fixed the problem rendering description with Aptitude. Thanks to 
    Tomas Pospisek <tpo_deb@sourcepole.ch> for the patch (Closes: #389137).
  * Updated to Debian policy 3.8.0.1
  * Added a dpatch file to fix the problem with setting the x-www-browser
    as a renderer html viewer. (Closes: #284075).
  * Updated debian/rules Debianhelper compatibility version to 5.
  * Alter the dh_installdeb call after dh_makeshlibs and dh_shlibdeps calls in
    debian/rules to avoid a lintian warning.
  * Modified debian/menu file according to the Debian menu sub-policy, added the
    debian/drgeo_32x32.xpm icon.
  * Added the license to the debian/copyright file.
  * Updated Build-Depends control field to debhelper (>> 5.0.0) from 4.0.0.
  * Fixed the segfaults problem. This problem is fixed in Ubuntu launchpad
    (LP #257797). Thanks to Pietro Battiston <toobaz@email.it> for his report.
    (Closes: #505554).


