=== debian/control ===
Source: drgeo
Section: math
Priority: extra
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, libglade2-dev, libxml2-dev, guile-1.8-dev, intltool, libxml-parser-perl, autotools-dev, libltdl-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386], chrpath
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/dr_geo/dr_geo.html

Package: drgeo
Architecture: any
Recommends: drgeo-doc
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick
Replaces: drgenius
Description: interactive geometry software
 This is the Gtk interactive geometry software. It allows one
 to create geometric figure plus the interactive manipulation of such
 figure in respect with their geometric constraints. It is usable in
 teaching situation with students from primary or secondary level.
 .
 Dr. Geo comes with a complete set of tools arranged
 in different categories:
 .
  * points
  * lines
  * geometric transformations
  * numeric function
  * macro-construction
  * DGS object - Dr. Geo Guile Script
  * DSF - Dr Geo Scheme Figure, it is interactive figure defined in  
    a file and evaluated with the embedded Scheme interpretor, awesome!
  * Export facilities in the LaTeX and EPS formats
 .
 Several figures and macro-constructions examples are available
 in the /usr/share/drgeo/examples folder.
 .
 More information about Dr. Geo can be found at
 its web site http://www.gnu.org/software/dr_geo/dr_geo.html
 .
 Installing the drgeo-doc package is also encouraged to get
 more of Dr. Geo.
